This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 744227

Summary: dock extension missing in F19
Product: [Fedora] Fedora Reporter: Jonathan Kamens <jik>
Component: gnome-shell-extensionsAssignee: Rahul Sundaram <metherid>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: dwmw2, iluha84, Jacek.Pliszka, metherid, michel, pikachu.2014, timur.kristof
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: gnome-shell-extensions-3.2.1-1.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-29 12:28:19 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jonathan Kamens 2011-10-07 10:27:16 EDT
It appears that the dock extension in gnome-shell-extension-dock-3.2.0-1.fc16 doesn't work in F16 beta. Not only that, but when it's enabled it seems to be able to crash or hang gnome-shell.
Comment 1 Mohamed El Morabity 2011-10-07 10:40:19 EDT
It's not a surprise, it was already announced in the update release notes:
   https://admin.fedoraproject.org/updates/FEDORA-2011-13770
Bug already reported upstream:
   https://bugzilla.gnome.org/show_bug.cgi?id=660952
Comment 2 David Woodhouse 2011-11-09 08:31:22 EST
I don't even seem to be able to enable it. It doesn't show up in gnome-tweak-tool.

And it looks like although there is a patch in upstream bugzilla, it didn't get into Fedora in time for the F16 release?
Comment 3 Fedora Update System 2011-11-10 04:32:48 EST
gnome-shell-extensions-3.2.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnome-shell-extensions-3.2.0-2.fc16
Comment 4 David Woodhouse 2011-11-10 18:09:07 EST
The dock works in the updated package, although the alternate tab extension causes a lockup as described in the update feedback.

However, the dock is missing a feature that it had in F15. I used to be able to right-click on the terminal icon and see a list of open terminals by their window title. That was *once* possible with the window-list applet in GNOME2, but it isn't provided by the 'bottom panel' extension in gnome-shell-frippery, so this facility in the dock extension was a very important piece in the puzzle of making GNOME3 actually usable. And now it's gone...?
Comment 5 Fedora Update System 2011-11-10 20:24:43 EST
Package gnome-shell-extensions-3.2.0-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-shell-extensions-3.2.0-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15734
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2011-11-20 18:54:10 EST
gnome-shell-extensions-3.2.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Jonathan Kamens 2011-11-21 10:35:10 EST
The dock we have now in updates is better than no dock before, but as the comment above (and several pieces of negative karma) indicate, the dock we have now is still broken, since the pop-up menus aren't working. Not sure why the bug was closed despite the comment above and all the negative karma. Reopening.
Comment 8 Mohamed El Morabity 2011-11-21 11:22:16 EST
(In reply to comment #7)
> The dock we have now in updates is better than no dock before, but as the
> comment above (and several pieces of negative karma) indicate, the dock we have
> now is still broken, since the pop-up menus aren't working. Not sure why the
> bug was closed despite the comment above and all the negative karma. Reopening.

More positive karmas were given, that's the (automatic) rule for a package to be approved as a stable update. Anyway the popup menus problem is confirmed, that's a fact. Since a patch is available to fix it, a new update will be submitted tonight, I hope.
Comment 9 Jonathan Kamens 2011-11-27 00:59:34 EST
There's another feature of the dock that was not restored when it started working again in the recent update... It was smart enough to narrow gnome-shell's idea of what "full-screen" means so that when you maximized a window, it wasn't partially buried under the dock (when auto-hide isn't set. That's no longer working -- the window is now expanding to the whole screen and being blocked by the dock.
Comment 10 Fedora Update System 2011-11-29 20:38:05 EST
gnome-shell-extensions-3.2.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnome-shell-extensions-3.2.1-1.fc16
Comment 11 Jonathan Kamens 2011-11-29 21:06:08 EST
Two steps forward, one step back... right-click menu is working now in the dock extension, thanks. However, there's one remaining problem -- maximized windows are still being partially obscured by the dock, whereas before this didn't happen as noted in comment 9 -- and one new problem -- there's a new hide effect value, "move", but the descriptive text for that setting in dconf-editor says, "Sets the position of the dock in the screen. Allowed values are 'right' or 'left'," i.e., the descriptive text doesn't mention the new legal value.

I'm going to give this positive karma, because it's better than the old package, but it's still got some work to go before this bug should be considered fully resolved.
Comment 12 Fedora Update System 2011-12-02 16:34:19 EST
Package gnome-shell-extensions-3.2.1-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-shell-extensions-3.2.1-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16656/gnome-shell-extensions-3.2.1-1.fc16
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2011-12-10 14:52:03 EST
gnome-shell-extensions-3.2.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Jonathan Kamens 2011-12-10 21:19:14 EST
As noted in comment 11, there are still problems.
Comment 15 Mohamed El Morabity 2011-12-18 11:16:56 EST
You'd better report this bug upstream if the dock behaviour doesn't suit your needs.
Comment 16 Jonathan Kamens 2011-12-18 19:18:29 EST
(In reply to comment #15)
> You'd better report this bug upstream if the dock behaviour doesn't suit your
> needs.

OK.
Comment 17 Mohamed El Morabity 2011-12-21 11:21:04 EST
This recent commit in the GS Extension git repository would fix your issue:
    http://git.gnome.org/browse/gnome-shell-extensions/commit/?id=5bf1339ef1dbe48c68ea103c5a3753477ac33b92

I will test it tonight. If it fixes your issue, this change may be backported in the F16 package.
Comment 18 Mohamed El Morabity 2011-12-21 11:22:31 EST
(And thanks also for the bug report on the GNOME Bugzilla).
Comment 19 Mohamed El Morabity 2011-12-24 07:32:14 EST
Could you test this new version of the gnome-shell-extensions package?
   http://koji.fedoraproject.org/koji/taskinfo?taskID=3604336
It includes the fix to restore strut management for the dock extension.
Comment 20 Jonathan Kamens 2011-12-24 17:53:49 EST
3.2.3 doesn't completely fix this issue. In particular, when:

a) I put the dock on the right side of my main screen, and
b) I have a second screen to the right of my main screen,

then when I maximize windows on my main screen, they continue to be obscured by the dock.

If I move the dock to the left, OR I disable the second screen, this problem goes away.

So the fix is partial but not complete. Reopening ticket.
Comment 21 Fedora End Of Life 2013-02-13 20:59:58 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 22 David Woodhouse 2013-04-29 11:41:20 EDT
Reopening; the gnome-shell-extensions-dock package appears to be missing in F19 Alpha.
Comment 23 David Woodhouse 2013-04-29 11:42:00 EDT
Really reopening... :)
Comment 24 Mohamed El Morabity 2013-04-29 12:28:19 EDT
The dock extensions was dropped upstream:

https://git.gnome.org/browse/gnome-shell-extensions/commit/?id=987409b7427968e94a6f837dba04abb58fd570eb
Comment 25 David Woodhouse 2013-04-29 15:11:11 EDT
The message at https://mail.gnome.org/archives/gnome-shell-list/2012-August/msg00132.html suggests that "there are a number of better docks at
extensions.gnome.org". Is there one of those which is packaged for Fedora, with a corresponding Obsoletes: (which I think should make it get installed to supersede the old one, even if it isn't *enabled* automatically).
Comment 26 Rahul Sundaram 2013-04-29 16:49:27 EDT
There aren't any packaged yet but this sound like a good idea.  Would you evaluate 

https://extensions.gnome.org/extension/307/dash-to-dock/

https://extensions.gnome.org/extension/17/dock/

"better" is kinda vague however.  If you could evaluate say the above two ones which seem popular,  we can pick one to package.
Comment 27 David Woodhouse 2013-04-29 18:03:41 EDT
(In reply to comment #26)
> There aren't any packaged yet but this sound like a good idea.  Would you
> evaluate 
> 
> https://extensions.gnome.org/extension/307/dash-to-dock/ 
> https://extensions.gnome.org/extension/17/dock/

Testing on Fedora 18 for now, the latter appears to enable/disable the dock which was already installed and which exists on the right-hand side of the screen, while the former (dash-to-dock) installs a new one that lives on the *left*. Right-clicking something like the terminal in each of them will give me a proper list of terminals with the window title of each, which is the thing that is otherwise sorely lacking in GNOME shell, and one of my primary reasons for using the dock.

Other than the side of the screen they appear on, the other difference I can see is that 17/dock is smaller because it has less padding around the icons. I think I prefer it, but that's hardly an in-depth analysis.
Comment 28 David Woodhouse 2013-04-30 08:01:03 EDT
On Fedora 19, 307/dash-to-dock appears to work, but 17/dock does not. Each time I toggle it on (in firefox) I get a pop-up asking if I want to install the plugin. But nothing happens. I can turn it off again, then if I try to turn it on I get prompted to install it again.

It looks like the download is failing, and it's suffering from the pervasive GNOME "we don't bother to report errors properly" disease?
Comment 29 Jacek Pliszka 2013-08-25 07:38:39 EDT
I prefer 17/dock too but it does not work on F19 - I am using 307/dash-to-dock
and it works fine.

So either one is fine - I would probably go with working one in the hope it is better supported.

Please do it - I have a few hacks for both of them and if there were an official one I might be willing to clean up and submit patches.
( dock location - left/right, depending on monitors connected)